{{- $position := .position -}}
{{- $title := .title -}}
{{- with .data -}}
  <section class="block-embed" id="block-{{ $position }}">
    <div class="container">
      <div class="block-content">
        <figure{{ with $title }} id="{{ . | urlize }}"{{ end }}>
          {{- with .code }}
            {{ partial "osuny/PrepareHTML" . }}
          {{ end -}}
          <figcaption>
            {{- with $title }}
            <p class="figcaption__title"><strong>{{ partial "osuny/PrepareHTML" . }}</strong></p>
            {{- end }}
            {{- with .transcription }}
            <div class="figcaption__text">
              {{ partial "osuny/commons/transcription" ( dict
                  "transcription" .
                  "position" $position
                ) }}
            </div>
            {{ end -}}
          </figcaption>
        </figure>
      </div>
    </div>
  </section>
{{- end -}}
